
@font-face {
	font-family: 'Lato';
	font-style: normal;
	font-weight: 300;
	src: local('Lato Light'), local('Lato-Light'), url(http://themes.googleusercontent.com/static/fonts/lato/v6/KT3KS9Aol4WfR6Vas8kNcg.woff) format('woff');
}

@font-face {
	font-family: 'Lato';
	font-style: normal;
	font-weight: 400;
	src: local('Lato Regular'), local('Lato-Regular'), url(http://themes.googleusercontent.com/static/fonts/lato/v6/9k-RPmcnxYEPm8CNFsH2gg.woff) format('woff');
}

@font-face {
	font-family: 'Lato';
	font-style: normal;
	font-weight: 900;
	src: local('Lato Black'), local('Lato-Black'), url(http://themes.googleusercontent.com/static/fonts/lato/v6/BVtM30trf7q_jfqYeHfjtA.woff) format('woff');
}

@font-face {
	font-family: 'Lato';
	font-style: italic;
	font-weight: 400;
	src: local('Lato Italic'), local('Lato-Italic'), url(http://themes.googleusercontent.com/static/fonts/lato/v6/oUan5VrEkpzIazlUe5ieaA.woff) format('woff');
}


@font-face {
    font-family: "ProximaNova";
  src: url("../fonts/proximanova-reg.eot");
  src: url("../fonts/proximanova-reg.eot?#iefix") format("embedded-opentype"), url("../fonts/proximanova-reg.woff") format("woff"), url("../fonts/proximanova-reg.ttf") format("truetype"), url("../fonts/proximanova-reg.svg#ProximaNovaRgRegular") format("svg");
  font-weight: normal;
  font-style: normal;
}

@font-face {
    font-family: "ProximaNovaBold";
  src: url("../fonts/proximanova-bold.eot");
  src: url("../fonts/proximanova-bold.eot?#iefix") format("embedded-opentype"), url("../fonts/proximanova-bold.woff") format("woff"), url("../fonts/proximanova-bold.ttf") format("truetype"), url("../fonts/proximanova-bold.svg#ProximaNovaRgBold") format("svg");
  font-weight: bold;
  font-style: normal;
}

@font-face {
    font-family: "ProximaNovaLight";
  src: url("../fonts/proximanova-light.eot");
  src: url("../fonts/proximanova-light.eot?#iefix") format("embedded-opentype"), url("../fonts/proximanova-light.woff") format("woff"), url("../fonts/proximanova-light.ttf") format("truetype"), url("../fonts/proximanova-light.svg#ProximaNovaLtLight") format("svg");
  font-weight: lighter;
  font-style: normal;
}

@import url(https://fonts.googleapis.com/css?family=Roboto:400,500,300,900);




ul#navigation li .text {
    padding-left: 5%;
    margin-left: 50px;
    line-height: 45px;
    -webkit-box-shadow: -3px 0 5px -4px #000;
    box-shadow: -3px 0 5px -4px #000;
    text-transform: uppercase;
    letter-spacing: 0.12em;
    -webkit-font-smoothing: antialiased;
    -moz-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: geometricPrecision;
    font-weight: bold;
    /*font-family: "ProximaNova",*/
    font-family: "Lato", "Open Sans", "Helvetica Neue";
}

ul#navigation li .icon {
	float: left;
	line-height: 45px;
	width: 50px;
	text-align: center;
	font-size: 27px;
    -moz-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}



a:hover i.bibtexIcon:hover {
	background-image: url('../img/bibtex-custom-hover-v1.svg');
}

a:hover .bibtexIcon:hover {
	background-image: url('../img/bibtex-custom-hover-v1.svg');
}

.pitems .pubmain .pubassets a:hover i.bibtexIcon {
	color: #fff;
	background-image: url('../img/bibtex-custom-hover-v1.svg');
}

.pitems .pubmain .pubassets a:hover > .bibtexIcon {
	color: #fff;
	background-image: url('../img/bibtex-custom-hover-v1.svg');
}

.pitems .pubmain .pubassets a:hover .bibtexIcon {
	color: #fff;
	background-image: url('../img/bibtex-custom-hover-v1.svg');
}

.bibtexIcon {
	background-image: url('../img/bibtex-custom-v1.svg');
	background-repeat: no-repeat;
	background-size: 100% 100%;
	padding-left: 11px;
	padding-right: 11px;
}

i.bibtexIcon:hover {
	background-image: url('../img/bibtex-custom-hover-v1.svg');
}






a:hover i.pdfIcon:hover {
	background-image: url('../img/icon-pdf-custom-hover.svg');
}

a:hover .pdfIcon:hover {
	background-image: url('../img/icon-pdf-custom-hover.svg');
}

.pitems .pubmain .pubassets a:hover i.pdfIcon,
.pitems .pubmain .pubassets a:hover > .pdfIcon,
.pitems .pubmain .pubassets a:hover .pdfIcon {
	color: #fff;
	background-image: url('../img/icon-pdf-custom-hover.svg');
}

i.pdfIcon:hover {
	background-image: url('../img/icon-pdf-custom-hover.svg');
}

.pdfIcon {
	background-image: url('../img/icon-pdf-custom.svg');
	 /*0 0 transparent;*/
	background-repeat: no-repeat;
	background-size: 110% 110%;
	/*padding-left: 8px;*/
	/*padding-right: 8px;*/
	padding-left: 11px;
	padding-right: 11px;
}



.bibtex-pub {
	color: #9b9b9b;
    padding-top: 2px;
    padding-bottom: 2px;
    padding-left: 11px;
    padding-right: 11px;
    /* padding: 3px 10px; */
    float: right;
    /* font-size: 18px; */
    font-size: 20px;
    background-image: url('../img/bibtex-custom.svg'); background-size: 35px 35px; 
    background-repeat: no-repeat; 
    /*background-blend-mode: lighten; */
    background-position-x: 4px;
}

i.bibtex {
    background: url("../img/bibtex-custom.svg");
}





/* publications
 **************************************************/
#pub-grid .mix {
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
	filter: alpha(opacity=0);
	opacity: 0;
	display: none;
}

.pitems .item {
	margin-bottom: 20px;
	width: 100%;
}

.pitems .pubmain {
	background: #fefefe;
	padding: 25px 25px 40px 25px;
	/*padding: 30px 25px 40px 25px;*/

	/* changed for category_ribbon icon */
	/*padding: 25px 25px 40px 45px; */
	/*padding-right: 0px;*/
	min-height: 130px;
	position: relative;

	-webkit-box-shadow: 0px 3px 3px -3px #ccc;
	box-shadow: 0px 3px 3px -3px #ccc;
	cursor: pointer;
	/*font-size: 10pt;*/
}



.pitems .pub-title {
	margin: 0;
	padding: 0 0 15px 0;
	font-weight: 300;
}


.pitems .pubmain {
	/*div {*/
	/*font-size: small;*/
	font-size:16px/16px;
}

.pitems .pubmain .label {
	/*margin-right: 10px;*/
	margin-right: 5px;
	margin-left: 4px;
	padding: .3em .6em;
    font-weight: 200;
    letter-spacing: 1.1px;
}

.pitems .pubmain .pubassets {
	position: absolute;
	bottom: 0;
	right: 0;
	/*background: #fafafa;*/
	background: #f6f6f6;
	/*80;*/
	text-align: center;
	border-top: 2px solid;
}

.pitems .pubmain .pubassets a {
	color: #9b9b9b;
	padding-top: 2px;
	padding-bottom:2px;
	padding-left: 11px;
	padding-right:11px;
	/*padding: 3px 10px;*/
	float: right;
	/*font-size: 18px;*/
	font-size:20px;
}


.pubmain:hover {
	/*background-color: #f9f9f9;*/
	background-color: #ffffff;
	-webkit-box-shadow: -1px -0.5px 3px 1px rgba(204,204,204,1);
	-moz-box-shadow: -1px -0.5px 3px 1px rgba(204,204,204,1);
	box-shadow: -1px -0.5px 3px 1px rgba(204,204,204,1);
}


.pitems .pubmain .pubassets a:hover,.pitems .pubmain .pubassets a:focus,.pitems .pubmain .pubassets a.pubcollapse {
	/*background: #05d8f2;*/
	color: #fff;
}

.pitems .pub-details {
}

.pitems .pub-abstract {
    background: #f9f9f9;
    padding: 10px;
    padding-bottom: 4px;
    border-radius: 12px;
    text-align: justify;
    text-justify: inter-word;
    font-family: "ProximaNova", "Open Sans", "Lato", Helvetica, sans-serif;
    font-weight: 400;
    /*margin-bottom: 6px;*/
}


.pub-abstract-title {
	text-transform: uppercase;
    letter-spacing: 1.5px;
    font-family: "ProximaNova";
    font-weight: 500;
    text-rendering: geometricPrecision;
}

.abstract {
	font-size: 10pt;
}


.pub-keywords {
	color: #222;
	font: 15px/24px "ProximaNovaRegular", "ProximaNovaLight", "ProximaNova", "Lato", "Bitstream Vera Sans Mono", "Anonymous Pro", "Consolas", monospace;
	text-shadow: 0 1px 1px rgba(0,0,0,.25);
	text-transform: uppercase;
    letter-spacing: 1.5px;
    font-weight: 500;
    text-rendering: geometricPrecision;
    font-size:1.4em;
}

#pub-keyword-grid {
	/*background: rgba(44, 44, 45, 0); */
	/* fully transparent */
	background-color: #fff !important;
}


ul#navigation li.external:hover .icon, ul#navigation li:hover .icon, ul#navigation li.currentmenu .icon{
	/*color: #05d8f2;*/
	color: #A5F205;
}
ul#navigation li:hover .icon {
	/*color: #05d8f2;*/
	color: #69c9f7;
}
.ul-boxed li {
	border-left-color:#05d8f2;
}
ul.ul-card li .dy .year {
	background-color: #05d8f2;
}
ul.ul-dates div.dates span {
	background-color: #05d8f2;
}
ul.timeline li .date {
	background: #05d8f2;
}
ul.timeline li .data {
	border-left-color: #05d8f2;
}
.ul-withdetails li .imageoverlay {
	background: #05d8f2;
}
.cd-active.cd-dropdown > span {
	color: #05d8f2;
}
.cd-active.cd-dropdown ul li span:hover {
	background: #05d8f2;
}
.pitems .pubmain .pubassets {
	border-top-color:#05d8f2; 
}
.pitems .pubmain .pubassets a:hover,.pitems .pubmain .pubassets a:focus,.pitems .pubmain .pubassets a.pubcollapse {
	background: #05d8f2;
}
ul.pubassets {
	padding:0 !important;
	margin:0 !important;
	padding-right: 0px !important;
     padding-left: 0px !important;
     padding-bottom: 0px !important;
     bottom: 0 !important;
    -webkit-margin-before: 0px !important;
    -webkit-margin-after: 0px !important;
    -webkit-margin-start: 0px !important;
    -webkit-margin-end: 0px !important;
    -webkit-padding-start: 0px !important;
}

ul.pubassets li {
	padding:0 !important;
	margin:0 !important;
	padding-right: 0px !important;
     padding-left: 0px !important;
     padding-bottom: 0px !important;
     bottom: 0 !important;
    -webkit-margin-before: 0px !important;
    -webkit-margin-after: 0px !important;
    -webkit-margin-start: 0px !important;
    -webkit-margin-end: 0px !important;
    -webkit-padding-start: 0px !important;
}

.contact-office .icon-huge, .contact-lab .icon-huge {
	color: #05d8f2;
}

ul.pub-list {
	
}

.pub-note {
    /*color: #929292;*/
    display: block;
    font-size: 0.8em !important;

	color: #222;
	font: 15px/15px "Bitstream Vera Sans Mono", "Anonymous Pro", "Consolas", monospace;
	text-shadow: 0 1px 1px rgba(0,0,0,.25);
	letter-spacing: -0.01em;
	/*margin: 0 0 6px;*/
}

.pub-title {
	font-size: 22px !important;
}

.pub-title a {
	-webkit-font-smoothing: subpixel-antialiased;
	text-rendering: auto;
	-webkit-font-smoothing: auto;
	/*color: #006BFF; */
	color: #cc034a;
	/*font-size: 22px !important;*/
	/*color: #2a56c6;*/
	/*color: #2a56c6;*/
	/*color: #267ed5;*/
     /*color: #2E4BFF; */
    /* color: #4DAF2F; */
}

.me {
	font-weight: bolder;
	font-family: "Roboto", "ProximaNovaBold", "Open Sans", sans-serif;
	/*color: #222;*/
	/*font: 15px/24px "Bitstream Vera Sans Mono", "Anonymous Pro", "Consolas", monospace;*/
	text-shadow: 0 1px 1px rgba(0,0,0,.25);
	/*letter-spacing: -0.01em;*/
	/*letter-spacing: 1.0px;*/
	letter-spacing: 0.8px;
}


.pub-title a:hover {
	/*color: #4DAF2F;*/
	/*color: rgb(255,102,0);*/
	/*color: #2a56c6;*/
	color: #4DAF2F;
	/*font-weight: bolder;*/
}


.pub-author {
	margin: 0 0 6px;
}

.pub-author a {
	/*color: #267ed5;*/
	/*color: #f7941d;*/
	color: #2a56c6;

	/*color: #006BFF; */
}
.pub-author a:hover {
	/*color: #f7941d;*/
	color: rgb(255,102,0);
	/*color: #4DAF2F;*/
	/*font-weight: normal;*/
}

.pub-date {

}

.pub-venue {
	font-style: italic;
}

.slanted {
    -webkit-clip-path: url(#clip-shape);
    clip-path: url(#clip-shape);
    -webkit-clip-path: polygon(0 0, 100% 10%, 100% 100%, 0 100%);
    clip-path: polygon(0 0, 100% 10%, 100% 100%, 0 100%);

}
.gradient-blue-green {
     background: #148BBF; 
    background: -webkit-linear-graphdient(left,#148BBF,#84BF53);
    background: -o-linear-gradient(right,#148BBF,#84BF53);
    background: -moz-linear-gradient(right,#148BBF,#84BF53);
     background: linear-gradient(to right,#148BBF,#84BF53); 
    padding-top: 100px;
    padding-bottom: 100px;
}

/*<div class="slanted gradient-blue-green" id="video-demo" style="padding-top: 100px;padding-bottom: 100px;">
	  <div class="container text-center" style="text-align: center;">
		    <h2>Recent work published in<br> KAIS, SNAM, MLG KDD, BigMine</h2>
		    <br>
		    <div style="max-width: 70%; margin: auto;">
			      <div class="responsive-iframe-container" id="video-container">
			        	<iframe width="670" height="377" src="" frameborder="0" allowfullscreen=""></iframe>
			      </div>
		    </div>
	  </div>
</div>
<svg width="0" height="0" style="position: absolute;">
	<defs>
	    <clipPath id="clip-shape" clipPathUnits="objectBoundingBox">
	        <polygon points="0 0, 1 .10, 1 1, 0 1"></polygon>
	    </clipPath>
	</defs>
</svg>*/



/* socpndary color 
**************************************************/
ul.ul-card li .dy .degree {
	background-color: #05c2d9;
}
ul.ul-dates div.dates span:last-child {
	background-color: #05c2d9;
}
ul.timeline li.open .circle {
	background-color: #05c2d9;
}
ul.timeline li.open .data {
	border-color: #05c2d9;
}
#labp-heads-wrap {
	background-color: #05c2d9;
}
#labp-heads-wrap:after{
	border-top-color: #05c2d9;
}



.label {
  display: inline;
  padding: .2em .6em .3em;
  font-size: 75%;
  font-weight: bold;
  line-height: 1;
  color: #ffffff;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: .25em;
}

.label[href]:hover,
.label[href]:focus {
  color: #ffffff;
  text-decoration: none;
  cursor: pointer;
}

.label:empty {
  display: none;
}

.label-default {
  background-color: #999999;
}

.label-default[href]:hover,
.label-default[href]:focus {
  background-color: #808080;
}

.label-primary {
  background-color: #428bca;
}

.label-primary[href]:hover,
.label-primary[href]:focus {
  background-color: #3071a9;
}

.label-success {
  background-color: #5cb85c;
}

.label-success[href]:hover,
.label-success[href]:focus {
  background-color: #449d44;
}

.label-info {
  background-color: #5bc0de;
}

.label-info[href]:hover,
.label-info[href]:focus {
  background-color: #31b0d5;
}

.label-warning {
  background-color: #f0ad4e;
}

.label-warning[href]:hover,
.label-warning[href]:focus {
  background-color: #ec971f;
}

.label-danger {
  background-color: #d9534f;
}

.label-danger[href]:hover,
.label-danger[href]:focus {
  background-color: #c9302c;
}

.label-patent {
  /*background-color: #6D1F49;*/
  background-color: crimson;
}

.label-tech-report {
  background-color: #00b35a;
}

.label-patent[href]:hover,
.label-patent[href]:focus {
  background-color: #8A4B6D;
}

.label-book {
  background-color: #255681;
}

.label-book[href]:hover,
.label-book[href]:focus {
  background-color: #16334D;
}

/*
.border-workshop {
	border-left: 2px solid #5bc0de80;
	border-top-left-radius: 2px;
}
.border-conference {
	border-left: 2px solid #428bca80;
	border-top-left-radius: 2px;
}
.border-journal {
	border-left: 2px solid #d9534f80;
	border-top-left-radius: 2px;
}
.border-techreport {
	border-left: 2px solid #00b35a80;
	border-top-left-radius: 2px;
}
.border-patent {
	border-left: 2px solid #8A4B6D80;
	border-top-left-radius: 2px;
}

.border-book {
	border-left: 2px solid #16334D80;
	border-top-left-radius: 2px;
}

*/




/*.border-default {
	border-left: 2px solid transparent;
	border-top-left-radius: 2px;
}
.border-workshop:hover,
.border-workshop:focus {
	border-left: 2px solid #5bc0de;
	border-top-left-radius: 2px;
}
.border-conference:hover {
	border-left: 2px solid #428bca; 
	border-top-left-radius: 2px;
}
.border-journal:hover {
	border-left: 2px solid #d9534f;
	border-top-left-radius: 2px;
}
.border-techreport:hover {
	border-left: 2px solid #00b35a;
	border-top-left-radius: 2px;
}
.border-patent:hover {
	border-left: 2px solid #8A4B6D;
	border-top-left-radius: 2px;
}

.border-book:hover {
	border-left: 2px solid #16334D;
	border-top-left-radius: 2px;
}

*/




/* KEYWORDS from PAPERS (See publications.php and the list generated by bibtex js codes) */
.keywords {
  font: 12px/1.5 "ProximaNova", 'Lato', 'Open Sans', 'PT Sans', serif, sans-serif; 
  letter-spacing: 1px;
  list-style: none;
  margin: 0;
  overflow: hidden; 
  padding: 0;
}

.keywords li {
  float: left;
}

.keyword {
  background: #205469;
  border-radius: 3px 0 0 3px;
  color: #FFF;
  display: inline-block;
  /*height: 26px;*/
  line-height: 26px;
  padding: 0 20px 0 23px;
  position: relative;
  margin: 0 10px 10px 0;
  text-decoration: none;
}

.keyword::before {
  background: #fff;
  border-radius: 10px;
  box-shadow: inset 0 1px rgba(0, 0, 0, 0.25);
  content: '';
  height: 6px;
  left: 10px;
  position: absolute;
  width: 6px;
  top: 10px;
}

.keyword::after {
  background: #fff;
  border-bottom: 13px solid transparent;
  border-left: 10px solid #205469;
  border-top: 13px solid transparent;
  content: '';
  position: absolute;
  right: 0;
  top: 0;
}

.keyword:hover {
  background-color: crimson;
  color: white;
}

.keyword:hover::after {
   border-left-color: crimson; 
}





/* Pretty printing styles. Used with prettify.js. */
/* Vim sunburst theme by David Leibovic */

pre .str, code .str { color: #65B042; } /* string  - green */
pre .kwd, code .kwd { color: #E28964; } /* keyword - dark pink */
pre .com, code .com { color: #AEAEAE; font-style: italic; } /* comment - gray */
pre .typ, code .typ { color: #89bdff; } /* type - light blue */
pre .lit, code .lit { color: #3387CC; } /* literal - blue */
pre .pun, code .pun { color: #fff; } /* punctuation - white */
pre .pln, code .pln { color: #fff; } /* plaintext - white */
pre .tag, code .tag { color: #89bdff; } /* html/xml tag    - light blue */
pre .atn, code .atn { color: #bdb76b; } /* html/xml attribute name  - khaki */
pre .atv, code .atv { color: #65B042; } /* html/xml attribute value - green */
pre .dec, code .dec { color: #3387CC; } /* decimal - blue */

pre.prettyprint, code.prettyprint {
	color: #FFF;
	background-color: #000;
	/*border-radius: 8px;*/
	border-top-right-radius: 0px;
	border-top-left-radius: 0px;
	border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border: 0px solid #cccccc !important;
    font-size: 9pt;
    font-family: "Lucida Console", Monaco, monospace;
}

pre.prettyprint {
	/*width: 95%;*/
	/*margin: 1em auto;*/
	margin-top: 0px !important;
	/*margin: 0px !important;*/
	padding: 1.4em !important;
	white-space: pre-wrap;
}


/* Specify class=linenums on a pre to get line numbering */
ol.linenums { margin-top: 0; margin-bottom: 0; color: #AEAEAE; } /* IE indents via margin-left */
li.L0,li.L1,li.L2,li.L3,li.L5,li.L6,li.L7,li.L8 { list-style-type: none }
/* Alternate shading for lines */
li.L1,li.L3,li.L5,li.L7,li.L9 { }

@media print {
  pre .str, code .str { color: #060; }
  pre .kwd, code .kwd { color: #006; font-weight: bold; }
  pre .com, code .com { color: #600; font-style: italic; }
  pre .typ, code .typ { color: #404; font-weight: bold; }
  pre .lit, code .lit { color: #044; }
  pre .pun, code .pun { color: #440; }
  pre .pln, code .pln { color: #000; }
  pre .tag, code .tag { color: #006; font-weight: bold; }
  pre .atn, code .atn { color: #404; }
  pre .atv, code .atv { color: #060; }
}

